Project parameters

Parameters that you can include in GET project API calls to refine results. You can include multiple query strings using an ampersand (&).

data-variant=info
data-slots=text
Adobe may add optional request and response members (name/value pairs) to existing API objects at any time and without notice or changes in versioning. Adobe recommends that you refer to the API documentation of any third-party tool you integrate with our APIs so that such additions are ignored in processing if not understood. If implemented properly, such additions are non-breaking changes for your implementation. Adobe will not remove parameters or add required parameters without first providing standard notification through release notes.

Expansion

A query string that allows you to obtain additional information around a project. You can include multiple expansions, separated by a comma.

GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/projects?expansion=reportSuiteName,ownerFullName,modified,tags,accessLevel,externalReferences,definition

IncludeType

By default, results only include projects that the user owns. You can add this query string which allows results to include additional projects not owned by the user.

GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/projects?includeType=all,shared

Locale

A query string that returns strings localized by Adobe into the desired language. Localization does not apply to user-defined fields, such as project names.

GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/projects?locale=en_US

Pagination

You can paginate project API calls so the result is not too large to use.

GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/projects?limit=10&page=2